<?php

use edu\wisc\services\cbs\order\OrderServiceResponse;
use edu\wisc\services\cbs\order\line\MockOrderLineService;
use edu\wisc\services\cbs\order\line\OrderLine;

/**
 * Tests for {@link MockOrderLineService}
 */
class MockOrderLineServiceTest extends \PHPUnit_Framework_TestCase
{

    /** @test */
    public function alwaysSucceedsByDefault()
    {
        static::assertEquals(
            new OrderServiceResponse(true, ''),
            (new MockOrderLineService())->createOrderLine(new OrderLine())
        );
    }

    /** @test */
    public function returnsCustomResponse()
    {
        $response = new OrderServiceResponse(false, "you get nothing, you lose");
        static::assertEquals(
            $response,
            (new MockOrderLineService($response))->createOrderLine(new OrderLine())
        );
    }
}
